## Apache Zeta Components Manual :: Docs For Class ezcExecutionBasicErrorHandler

### Execution::ezcExecutionBasicErrorHandler

### Class ezcExecutionBasicErrorHandler

Simple implementation of a callback handler to use with ezcExecution.

This is a very simple callback handler which only issues a simple message. Of course in applications you will need to either extend this class, or just implement the ezcExecutionErrorHandler interface.

Source for this file: /Execution/src/handlers/basic_handler.php

### Implements interfaces:

- ezcExecutionErrorHandler

Version: | //autogentag//

### Method Summary

public static void | `onError( [ $e = null] )` Processes an error situation

### Methods

#### onError

static void onError( [ $e = null] )

Processes an error situation

This method is called by the ezcExecution environment whenever an error situation (uncaught exception or fatal error) happens. It accepts one default parameter in case there was an uncaught exception.

This class just serves as an example, for your own application you should write your own class that implements the ezcExecutionErrorHandler interface and use that as parameter to ezcExecution::init()

##### Parameters:

Name | Type | Description
--- | --- | ---
`$e` | Exception |

##### Implementation of:

Method | Description
--- | ---
`ezcExecutionErrorHandler::onError()` | Processes an error situation

Documentation generated by phpDocumentor 1.4.3